<?php
require 'routeros_api.class.php';

// ✏️ معلومات المايكروتك (عدّلها)
$ip   = "192.168.88.1";   // IP المايكروتك
$user = "emad";         // اسم المستخدم
$pass = "emad1203";      // كلمة المرور

$API = new RouterosAPI();

if ($API->connect($ip, $user, $pass)) {

    echo "✅ تم الاتصال بالمايكروتك بنجاح<br><br>";

    echo "📄 قائمة مستخدمي PPPoE:<br>";
    echo "<pre>";

    // أمر عرض مستخدمي PPPoE
    $API->write('/ppp/secret/print');
    $result = $API->read();

    print_r($result);

    echo "</pre>";

    $API->disconnect();

} else {
    echo "❌ فشل الاتصال بالمايكروتك";
}
